Subject: Re: [PATCH 1/3] e1000: FIX: be ready for incoming irq at pci_request_irq

From: "Kok, Auke" <[email-masked]>
Date: Fri, 09 Mar 2007 09:11:41 -0800

Jeff Garzik wrote:
> Auke Kok wrote:
>> From: Auke Kok <[email-masked]>
>>
>> DEBUG_SHIRQ code exposed that e1000 was not ready for incoming interrupts
>> after having called pci_request_irq. This obviously requires us to finish
>> our software setup which assigns the irq handler before we request the
>> irq.
>>
>> Signed-off-by: Auke Kok <[email-masked]>
>> ---
>>
>>  drivers/net/e1000/e1000_main.c |   66 +++++++++++++++++++++++++++-------------
>>  1 files changed, 45 insertions(+), 21 deletions(-)
> 
> All these do indeed look like fixes to me.  But they look like low 
> priority fixes that would need some public testing behind them, and it's 
> pretty late in the 2.6.21-rc game.
> 
> I'll merge them into an e1000-fixes branch for now (and propagates 
> through #ALL to akpm's -mm).  If replies to this email indicate we 
> really should push these upstream for 2.6.21-rc, it will be easy enough 
> to do so via #e1000-fixes.

Personally, I think this is really really needed. I'm surprised that you already 
didn't push this considering Andrew pulled this into -mm immediately.

We've also been crunching this patch in our labs for a whole week now doing all 
sorts of load/unload up/down torture and it's a real improvement. Especially 
ESB2 systems were hit with this bug irregardless of the DEBUG_SHIRQ code active 
or not, so it's a real bug with real fix.

but hey, it doesn't fix a new problem :)

Auke